Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Interface IAggregatedUserLayoutManager

All Superinterfaces:
  IUserLayoutManager

All Known Implementing Classes:
  AggregatedLayoutManager

    public interface IAggregatedUserLayoutManager

extends IUserLayoutManager

An aggregated-layout specific extension of the user layout manager interface. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  1.1 $Revision: 1.1 $ $Date: 2005/05/03 20:40:47 $
Author:
  Michael Ivanov

Field Summary
`static java.lang.String` | `NEW_FRAGMENT`
`static int` | `PRIORITY_COEFF`

Method Summary
`java.lang.String` | `createFragment(java.lang.String fragmentName, java.lang.String fragmentDesc, java.lang.String fragmentRootName)` Creates a new fragment and loads it as an user layout
`void` | `deleteFragment()` Deletes the current fragment if the layout is a fragment
`void` | `deleteFragment(java.lang.String fragmentId)` Removes the fragment
`ILayoutFragment` | `getFragment(java.lang.String fragmentId)` Returns the fragment
`java.util.Collection` | `getFragments()` Returns the fragment Ids of the owner associated with the current layout
`IALNodeDescription` | `getNodeBeingAdded()` Returns the description of the node currently being added to the layout
`IALNodeDescription` | `getNodeBeingMoved()` Returns the description of the node currently being moved in the layout
`java.util.Collection` | `getPublishGroups(java.lang.String fragmentId)` Returns the user group keys which the fragment is published to
`java.util.Collection` | `getSubscribableFragments()` Returns the list of Ids of the fragments that the user can subscribe to
`boolean` | `isFragmentLoaded()` Returns true if any fragment is currently loaded into the layout manager, false - otherwise
`void` | `loadFragment(java.lang.String fragmentId)` Loads the fragment as an user layout given by fragmentId
`void` | `saveFragment()` Saves the current fragment if the layout is a fragment
`void` | `saveFragment(ILayoutFragment fragment)` Saves the fragment in the store
`void` | `setAutoCommit(boolean autoCommit)` Sets a layout manager to auto-commit mode that allows to update the database immediately
`void` | `setPublishGroups(IGroupMember[] groups, java.lang.String fragmentId)` Persists the user groups which the fragment is published to

Methods inherited from interface org.jasig.portal.layout.IUserLayoutManager
`addLayoutEventListener, addNode, canAddNode, canDeleteNode, canMoveNode, canUpdateNode, createNodeDescription, deleteNode, getCacheKey, getChildIds, getDepth, getLayoutId, getNextSiblingId, getNode, getParentId, getPreviousSiblingId, getRootFolderId, getSubscribeId, getUserLayout, getUserLayout, getUserLayout, getUserLayoutDOM, loadUserLayout, markAddTargets, markMoveTargets, moveNode, removeLayoutEventListener, saveUserLayout, setLayoutStore, setUserLayout, updateNode`

Field Detail

### NEW_FRAGMENT

    static final java.lang.String NEW_FRAGMENT

See Also:
  Constant Field Values

### PRIORITY_COEFF

    static final int PRIORITY_COEFF

See Also:
  Constant Field Values

Method Detail

### setAutoCommit

    void setAutoCommit(boolean autoCommit)

  Sets a layout manager to auto-commit mode that allows to update the database immediately

  Parameters:
    `autoCommit` - a boolean value

### saveFragment

    void saveFragment()
                      throws PortalException

  Saves the current fragment if the layout is a fragment

  Throws:
    `PortalException` - if an error occurs

### deleteFragment

    void deleteFragment()
                        throws PortalException

  Deletes the current fragment if the layout is a fragment

  Throws:
    `PortalException` - if an error occurs

### loadFragment

    void loadFragment(java.lang.String fragmentId)
                      throws PortalException

  Loads the fragment as an user layout given by fragmentId

  Parameters:
    `fragmentId` - a fragment ID
  Throws:
    `PortalException` - if an error occurs

### saveFragment

    void saveFragment(ILayoutFragment fragment)
                      throws PortalException

  Saves the fragment in the store

  Parameters:
    `fragment` - a `ILayoutFragment` instance
  Throws:
    `PortalException` - if an error occurs

### deleteFragment

    void deleteFragment(java.lang.String fragmentId)
                        throws PortalException

  Removes the fragment

  Parameters:
    `fragmentId` - a fragment ID
  Throws:
    `PortalException` - if an error occurs

### getFragments

    java.util.Collection getFragments()
                                      throws PortalException

  Returns the fragment Ids of the owner associated with the current layout

  Returns:
    `Collection` a set of the fragment IDs
  Throws:
    `PortalException` - if an error occurs

### getSubscribableFragments

    java.util.Collection getSubscribableFragments()
                                                  throws PortalException

  Returns the list of Ids of the fragments that the user can subscribe to

  Returns:
    `Collection` a set of the fragment IDs
  Throws:
    `PortalException` - if an error occurs

### getFragment

    ILayoutFragment getFragment(java.lang.String fragmentId)
                                throws PortalException

  Returns the fragment

  Parameters:
    `fragmentId` - a fragment ID
  Returns:
    `ILayoutFragment` a fragment
  Throws:
    `PortalException` - if an error occurs

### isFragmentLoaded

    boolean isFragmentLoaded()
                             throws PortalException

  Returns true if any fragment is currently loaded into the layout manager, false - otherwise

  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### getNodeBeingAdded

    IALNodeDescription getNodeBeingAdded()
                                         throws PortalException

  Returns the description of the node currently being added to the layout

  Returns:
    node an `IALNodeDescription` object
  Throws:
    `PortalException` - if an error occurs

### getNodeBeingMoved

    IALNodeDescription getNodeBeingMoved()
                                         throws PortalException

  Returns the description of the node currently being moved in the layout

  Returns:
    node an `IALNodeDescription` object
  Throws:
    `PortalException` - if an error occurs

### createFragment

    java.lang.String createFragment(java.lang.String fragmentName,
                                    java.lang.String fragmentDesc,
                                    java.lang.String fragmentRootName)
                                    throws PortalException

  Creates a new fragment and loads it as an user layout

  Parameters:
    `fragmentName` - a fragment name
    `fragmentDesc` - a fragment description
    `fragmentRootName` - a fragment root node name
  Returns:
    a new generated fragment ID
  Throws:
    `PortalException` - if an error occurs

### getPublishGroups

    java.util.Collection getPublishGroups(java.lang.String fragmentId)
                                          throws PortalException

  Returns the user group keys which the fragment is published to

  Parameters:
    `fragmentId` - a `String` value
  Returns:
    a `Colection` object containing the group keys
  Throws:
    `PortalException` - if an error occurs

### setPublishGroups

    void setPublishGroups(IGroupMember[] groups,
                          java.lang.String fragmentId)
                          throws PortalException

  Persists the user groups which the fragment is published to

  Parameters:
    `groups` - an array of `IGroupMember` objects
    `fragmentId` - a `String` value
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD